org.bdgenomics.adam.instrumentation

# Timers

#### object Timers extends Metrics

Contains Timers that are used to instrument ADAM.

Linear Supertypes
Metrics, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Timers
2. Metrics
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val BQSRInDriver: Timer

7. #### val BroadcastJoinAndGroupByRight: Timer

8. #### val BroadcastingKnownSnps: Timer

9. #### val BuildingTrees: Timer

10. #### val CheckingForMask: Timer

11. #### val CollectingSnps: Timer

12. #### val ComputeCovariates: Timer

13. #### val ComputeQualityScore: Timer

14. #### val ComputingCycleCovariate: Timer

15. #### val ComputingDinucCovariate: Timer

16. #### val ComputingOriginalScores: Timer

17. #### val ConvertToSAM: Timer

18. #### val ConvertToSAMRecord: Timer

19. #### val CreateIndelRealignmentTargets: Timer

20. #### val CreateReferencePositionPair: Timer

21. #### val CreatingKnownSnpsTable: Timer

22. #### val CreatingRecalibrationTable: Timer

23. #### val FinalizingRealignments: Timer

24. #### val FindTargets: Timer

25. #### val FullOuterShuffleJoin: Timer

26. #### val GetExtraValues: Timer

27. #### val GetReferenceFromFile: Timer

28. #### val GetReferenceFromReads: Timer

29. #### val GrowingTrees: Timer

30. #### val InnerBroadcastJoin: Timer

31. #### val InnerShuffleJoin: Timer

32. #### val InvertingRecalibrationTable: Timer

33. #### val JoinTargets: Timer

34. #### val LeftOuterShuffleJoin: Timer

35. #### val LoadAlignments: Timer

36. #### val LoadBam: Timer

37. #### val LoadBed: Timer

38. #### val LoadContigFragments: Timer

39. #### val LoadCoverage: Timer

40. #### val LoadFasta: Timer

41. #### val LoadFastq: Timer

42. #### val LoadFeatures: Timer

43. #### val LoadFragments: Timer

44. #### val LoadGenotypes: Timer

45. #### val LoadGff3: Timer

46. #### val LoadGtf: Timer

47. #### val LoadIndexedBam: Timer

48. #### val LoadIndexedVcf: Timer

49. #### val LoadInterleavedFastq: Timer

50. #### val LoadInterleavedFastqFragments: Timer

51. #### val LoadIntervalList: Timer

52. #### val LoadNarrowPeak: Timer

53. #### val LoadPairedFastq: Timer

54. #### val LoadParquet: Timer

55. #### val LoadReferenceFile: Timer

56. #### val LoadSequenceDictionary: Timer

57. #### val LoadUnpairedFastq: Timer

58. #### val LoadVariants: Timer

59. #### val LoadVcf: Timer

60. #### val MapTargets: Timer

61. #### val MarkDuplicatesInDriver: Timer

62. #### val MarkReads: Timer

63. #### val ObservationAccumulatorComb: Timer

64. #### val ObservationAccumulatorSeq: Timer

65. #### val ObservingRead: Timer

66. #### val PerformDuplicateMarking: Timer

67. #### val QueryingRecalibrationTable: Timer

68. #### val ReadCovariates: Timer

69. #### val ReadResidues: Timer

70. #### val RealignIndelsInDriver: Timer

71. #### val RealignTargetGroup: Timer

72. #### val RecalibrateRead: Timer

73. #### val RightOuterBroadcastJoin: Timer

74. #### val RightOuterBroadcastJoinAndGroupByRight: Timer

75. #### val RightOuterShuffleJoin: Timer

76. #### val RightOuterShuffleJoinAndGroupByLeft: Timer

77. #### val RunningMapSideJoin: Timer

78. #### val SAMSave: Timer

79. #### val SaveAsADAM: Timer

80. #### val SaveAsVcf: Timer

81. #### val ScoreAndMarkReads: Timer

82. #### val ShuffleJoinAndGroupByLeft: Timer

83. #### val SortByIndex: Timer

84. #### val SortReads: Timer

85. #### val SortTargets: Timer

86. #### val SortingRightSide: Timer

87. #### val SweepReadOverReferenceForQuality: Timer

88. #### val SweepReadsOverConsensus: Timer

89. #### val TreeJoin: Timer

90. #### val TrimCigar: Timer

91. #### val TrimLowQualityInDriver: Timer

92. #### val TrimMDTag: Timer

93. #### val TrimRead: Timer

94. #### val TrimReadsInDriver: Timer

95. #### val WriteADAMRecord: Timer

96. #### val WriteBAMRecord: Timer

97. #### val WriteCRAMRecord: Timer

98. #### val WriteSAMRecord: Timer

99. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

100. #### val clock: Clock

     Definition Classes
       Metrics

101. #### def clone(): AnyRef

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

102. #### final def eq(arg0: AnyRef): Boolean

     Definition Classes
       AnyRef

103. #### def equals(arg0: Any): Boolean

     Definition Classes
       AnyRef → Any

104. #### def finalize(): Unit

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @throws( classOf[java.lang.Throwable] )

105. #### final def getClass(): Class[_]

     Definition Classes
       AnyRef → Any

106. #### def hashCode(): Int

     Definition Classes
       AnyRef → Any

107. #### final def isInstanceOf[T0]: Boolean

     Definition Classes
       Any

108. #### final def ne(arg0: AnyRef): Boolean

     Definition Classes
       AnyRef

109. #### final def notify(): Unit

     Definition Classes
       AnyRef

110. #### final def notifyAll(): Unit

     Definition Classes
       AnyRef

111. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

112. #### def timer(name: String): Timer

     Definition Classes
       Metrics

113. #### def toString(): String

     Definition Classes
       AnyRef → Any

114. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

115. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

116. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Inherited from Metrics

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped